package com.kingdee.eas.custom.beisen.synchronouspos;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.beisen.synchronouspos.*;
import com.kingdee.bos.framework.*;

public class SynchronousPosFacade extends AbstractBizCtrl implements ISynchronousPosFacade
{
    public SynchronousPosFacade()
    {
        super();
        registerInterface(ISynchronousPosFacade.class, this);
    }
    public SynchronousPosFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISynchronousPosFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("D8629CA8");
    }
    private SynchronousPosFacadeController getController() throws BOSException
    {
        return (SynchronousPosFacadeController)getBizController();
    }
    /**
     *同步SHR职位到北森岗位-User defined method
     *@param posId 职位id
     *@param syncStartTimeStr 同步时间格式yyyy-MM-dd HH:mm:dd，例：2011-11-11 11:11:11
     *@param syncEndTimeStr 同步时间格式yyyy-MM-dd HH:mm:dd，例：2011-11-12 11:11:11
     *@return
     */
    public String syncPosToBeiSen(String posId, String syncStartTimeStr, String syncEndTimeStr) throws BOSException
    {
        try {
            return getController().syncPosToBeiSen(getContext(), posId, syncStartTimeStr, syncEndTimeStr);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *推送创建岗位到北森-User defined method
     *@param jsonStr 同步北森json字符串数据
     *@return
     */
    public String sendAddNewPosToBeisen(String jsonStr) throws BOSException
    {
        try {
            return getController().sendAddNewPosToBeisen(getContext(), jsonStr);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *推送修改岗位到北森-User defined method
     *@param jsonStr 同步北森json字符串数据
     */
    public void sendEditPosToBeisen(String jsonStr) throws BOSException
    {
        try {
            getController().sendEditPosToBeisen(getContext(), jsonStr);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}